[email protected]
[Top] [All Lists]

Bug#397982: marked as forwarded (kvpnc: Generated scripts contain bashis

Subject: Bug#397982: marked as forwarded kvpnc: Generated scripts contain bashisms, missing/misplaced #! line
From: Debian Bug Tracking System
Date: Mon, 13 Nov 2006 09:48:42 -0800
Your message dated Mon, 13 Nov 2006 15:28:59 +0000
with message-id <[email protected]>
has caused the Debian Bug report #397982,
regarding kvpnc: Generated scripts contain bashisms, missing/misplaced #! line
to be marked as having been forwarded to the upstream software
author(s) Christoph Thielecke <[email protected]>.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Subject: Fwd: [Pkg-kde-extras] Bug#397982: kvpnc: Generated scripts contain bashisms, missing/misplaced #! line
From: Mark Purcell
Date: Mon, 13 Nov 2006 15:28:59 +0000
Christoph,

Please find enclosed a bug report from a Debian GNU/Linux user.

Could I ask you to maintain the Cc: on any replies to this issue to ensure the 
history is captured in the Debian Bug Tracking System.

Thanks,
Mark

----------  Forwarded Message  ----------

Subject: [Pkg-kde-extras] Bug#397982: kvpnc: Generated scripts contain 
bashisms, missing/misplaced #! line
Date: Friday 10 November 2006 21:35
From: Matthew Rosewarne <[email protected]>
To: Debian Bug Tracking System <[email protected]>

Package: kvpnc
Version: 0.8.6.1-1
Severity: important
Tags: patch

kvpnc generates scripts used to control the vpn commands.  Some of these
scripts will contain bashisms that will cause them to fail when using
/bin/dash.  Some scripts will also not have #!/bin/sh lines or will not have
them as the first line.  In particular, the vpnc-{profile}-disconnect.sh has
no
#! line and uses a non-POSIX redirect, causing kvpnc the fail when attempting
to disconnect.  The GUI, however, does not realize the failure and assumes
 the disconnect was successful, but vpnc will still be connected.  Therefore,
 subsequent attempts to connect to a vpn will be blocked because vpnc is
 still bound to the required port(s).  Attached is a patch that will alter
 the script generation code that fixes the problem.  I have tested it with
 vpnc but unfortunately I do not have any other vpn connections, so scripts
 for the other
clients may still contain bashisms.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages kvpnc depends on:
ii  kdebase-bin            4:3.5.5a.dfsg.1-1 core binaries for the KDE base
mod
ii  kdelibs4c2a            4:3.5.5a.dfsg.1-3 core libraries and binaries for
al
ii  libc6                  2.3.6.ds1-7       GNU C Library: Shared libraries
ii  libgcc1                1:4.1.1-19        GCC support library
ii  libgcrypt11            1.2.3-2           LGPL Crypto library - runtime
libr
ii  libice6                1:1.0.1-2         X11 Inter-Client Exchange
 library ii  libpng12-0             1.2.8rel-7        PNG library - runtime
ii  libqt3-mt              3:3.3.7-1         Qt GUI Library (Threaded runtime
v
ii  libsm6                 1:1.0.1-3         X11 Session Management library
ii  libstdc++6             4.1.1-19          The GNU Standard C++ Library v3
ii  libx11-6               2:1.0.3-2         X11 client-side library
ii  libxext6               1:1.0.1-2         X11 miscellaneous extension
librar
ii  menu                   2.1.31            generates programs menu for all
me
ii  module-init-tools      3.2.2-3           tools for managing Linux kernel
mo
ii  net-tools              1.60-17           The NET-3 networking toolkit
ii  psmisc                 22.3-1            Utilities that use the proc
filesy
ii  zlib1g                 1:1.2.3-13        compression library - runtime

kvpnc recommends no packages.

-- no debconf information

-------------------------------------------------------

Attachment: kvpnc.cpp.diff
Description: Text Data


--- End Message ---
<Prev in Thread] Current Thread [Next in Thread>
  • Bug#397982: marked as forwarded (kvpnc: Generated scripts contain bashisms, missing/misplaced #! line), Debian Bug Tracking System <=